Search found 856 matches

Go to advanced search

by pablogil
Mon Mar 01, 2021 12:10 pm
Forum: Python scripting and macros
Topic: How to find and remove an object by its label?
Replies: 8
Views: 405

Re: How to find and remove an object by its label?

bernd wrote: Sun Feb 28, 2021 8:57 ammoved to Python
thanks
by pablogil
Thu Feb 25, 2021 11:47 am
Forum: UX/UI Design
Topic: Menu System Enhancement
Replies: 32
Views: 5158

Re: Menu System Enhancement

as now the popup is draggable, it needs a wider header bar that visually indicate that it can actually be dragged I've changed visual of the in place editor in my latest release. Please check. Nice, much better, thanks! [*]when you make it wider and the cell when you want to add the expression is t...
by pablogil
Wed Feb 24, 2021 11:33 am
Forum: Python scripting and macros
Topic: How to find and remove an object by its label?
Replies: 8
Views: 405

Re: How to find and remove an object by its label?

Umm, I'll try to answer myself, is this a correct way?: App.ActiveDocument.removeObject(App.ActiveDocument.getObjectsByLabel("MyObjLabel")[0].Name) The previous code only works for the first object in the list but I guess it can easily included into a for loop to remove all the items, am I...
by pablogil
Wed Feb 24, 2021 11:20 am
Forum: Python scripting and macros
Topic: How to find and remove an object by its label?
Replies: 8
Views: 405

Re: How to find and remove an object by its label?

chrisb wrote: Tue Feb 23, 2021 5:11 pm

Code: Select all

App.ActiveDocument.getObjectsByLabel("MyObjLabel")
The result is a list, because different objects can have the same label.
And how to delete them all?...

Thanks again
by pablogil
Tue Feb 23, 2021 4:51 pm
Forum: Python scripting and macros
Topic: How to find and remove an object by its label?
Replies: 8
Views: 405

How to find and remove an object by its label?

Hi,

The subject is self explanatory: How to find and remove an object by its label?

I know how to find it by name but not by label... is it possible? if not, is there any workaround?

Thanks
by pablogil
Tue Feb 23, 2021 10:44 am
Forum: UX/UI Design
Topic: Menu System Enhancement
Replies: 32
Views: 5158

Re: Menu System Enhancement

Hi @realthunder, Under macOS I found some bugs or improvements to me made to the new Expression Editor: as now the popup is draggable, it needs a wider header bar that visually indicate that it can actually be dragged when you make it wider and the cell when you want to add the expression is too clo...
by pablogil
Tue Feb 23, 2021 10:28 am
Forum: Open discussion
Topic: [Proposal] Stylesheets that accomodate different forms of visual impairments
Replies: 4
Views: 947

Re: [Proposal] Stylesheets that accomodate different forms of visual impairments

It's a nice idea but, as I could check, it's not just something about stylesheets but the whole UI (3D view colors, shadows, selection colors, ...) so it would need first to attempt to unify all UI theming stuff under a same "box" so that later we could create full "normal" theme...
by pablogil
Thu Feb 04, 2021 4:06 pm
Forum: UX/UI Design
Topic: New ProDark Theme with 4k small text Mod
Replies: 116
Views: 8508

Re: New ProDark Theme with 4k small text Mod

Hi turn211,

It is not possible to switch to white colored icons with the stylesheets. I should be hardcoded in FC and then added an option in Preferences to select the "dark" or "Light" theme.
And I don't know how to do it, I'm just the stylesheet designer...

Sorry
by pablogil
Sat Jan 09, 2021 9:33 pm
Forum: Help on using FreeCAD
Topic: PartDesign Next - additive box to center
Replies: 36
Views: 2405

Re: PartDesign Next - additive box to center

chrisb wrote: Sat Jan 09, 2021 7:19 pm Another more general idea: It would be great if primitive templates could be included: Create a primitive, set various properties, and save as template. This would work only with references not going outside of the object.
+1
by pablogil
Sat Jan 09, 2021 4:23 pm
Forum: Help on using FreeCAD
Topic: PartDesign Next - additive box to center
Replies: 36
Views: 2405

Re: PartDesign Next - additive box to center

I still find very handy a box primitive with its origin in the volume center not in a corner... it would save me (and I guess more people) a lot of time.

What about considering it as a brand new primitive?

Go to advanced search